Get Organization CLI

gethttps://app.fossa.com/api/cli/organization

Retrieves organizations capability and preferences for CLI. This is used by CLI to infer default preference and capability of an organization. For example, 'supportsIssueDiffs' of True indicates to the CLI, that this organization, and this endpoint can support issue diffing. This endpoint accepts push-only tokens in addition to full API tokens.

Responses

200Organizations capability and preferences for CLI
organizationIdinteger

Unique organization identifier

usesSAMLboolean

True if organization uses SAML, otherwise False.

supportsCliLicenseScanningboolean

True if organization supports CLI license scanning (native), otherwise False.

supportsAnalyzedRevisionsQueryboolean

True if organization supports analyzed revision query, otherwise False.

supportsDependenciesCachePollingboolean

True if organization supports dependencies cache polling, otherwise False.

supportsIssueDiffsboolean

True if organization supports issue diffing, otherwise False.

defaultVendoredDependencyScanTypeenum

Default vendor scanning preferred by the organization.

ArchiveUploadCLILicenseScan
supportsNativeContainerScansboolean

True if organization supports native container scanning, otherwise False.

requireFullFileUploadsboolean

True if the organization wants CLI-side license scans to upload full file contents instead of just the match string

supportsPathDependencyboolean

True if the organization supports path dependencies. Otherwise False.

supportsFirstPartyScansboolean

True if the FOSSA instance supports first-party scans. Otherwise False.

defaultToFirstPartyScansboolean

True if the organization defaults to first-party scans. Otherwise False.

customLicenseScanConfigsobject[]

Configuration for custom license scans

namestring

custom license scan name

matchCriteriastring

regular expression for the custom license scan

requirePolicyOnUploadboolean

True if the organization requires a policy to be assigned when uploading, otherwise False.

archiveUploadAndCLILicenseScanEnabledboolean

True if the organization is permissioned for CLI license scanning and archive uploads, otherwise False.

supportsPreflightChecksboolean

True if the organization supports CLI preflight checks, otherwise False.

supportsGitBackedCargoLocatorsboolean

True if Core understands git-backed cargo locators in the format `cargo+<repoUrl>#<crateName>$<version>`. When False, the CLI should fall back to plain crate names for git-sourced cargo dependencies.

supportsFasterRGAddProjectboolean

True if Core exposes the `cli/project_group/release_lookup` endpoint, which resolves a release group title and release title to their numeric ids server-side. When False, the CLI falls back to listing all release groups and releases and filtering client-side.

subscriptionenum

The organization subscription access level.

FreePremium
packageLabelScopesenum[]

The package label scopes supported by the organization.

snippetScanSourceCodeRetentionDaysinteger

Number of days source code from snippet scans is retained for the organization.

401Unauthenticated Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/cli/organization
curl --request GET \  --url 'https://app.fossa.com/api/cli/organization' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.